Package org.apache.axiom.soap

## Class SOAP12Version

- java.lang.Object
- - org.apache.axiom.soap.SOAP12Version

- All Implemented Interfaces:
    `SOAP12Constants`, `SOAPConstants`, `SOAPVersion`

      public class SOAP12Version
      extends Object
      implements SOAPVersion, SOAP12Constants

  Version-specific stuff for SOAP 1.2

- - ### Field Summary

    - ### Fields inherited from interface org.apache.axiom.soap.SOAP12Constants

      `FAULT_CODE_RECEIVER, FAULT_CODE_SENDER, QNAME_FAULT_CODE, QNAME_FAULT_DETAIL, QNAME_FAULT_NODE, QNAME_FAULT_REASON, QNAME_FAULT_ROLE, QNAME_FAULT_SUBCODE, QNAME_FAULT_TEXT, QNAME_FAULT_VALUE, QNAME_MU_FAULTCODE, QNAME_RECEIVER_FAULTCODE, QNAME_RELAY, QNAME_ROLE, QNAME_SENDER_FAULTCODE, SOAP_12_CONTENT_TYPE, SOAP_ENCODING_NAMESPACE_URI, SOAP_ENVELOPE_NAMESPACE_URI, SOAP_FAULT_CODE_LOCAL_NAME, SOAP_FAULT_DETAIL_LOCAL_NAME, SOAP_FAULT_NODE_LOCAL_NAME, SOAP_FAULT_REASON_LOCAL_NAME, SOAP_FAULT_ROLE_LOCAL_NAME, SOAP_FAULT_SUB_CODE_LOCAL_NAME, SOAP_FAULT_TEXT_LANG_ATTR_LOCAL_NAME, SOAP_FAULT_TEXT_LANG_ATTR_NS_PREFIX, SOAP_FAULT_TEXT_LANG_ATTR_NS_URI, SOAP_FAULT_TEXT_LOCAL_NAME, SOAP_FAULT_VALUE_DATA_ENCODING_UKNOWN, SOAP_FAULT_VALUE_LOCAL_NAME, SOAP_FAULT_VALUE_MUST_UNDERSTAND, SOAP_FAULT_VALUE_RECEIVER, SOAP_FAULT_VALUE_SENDER, SOAP_FAULT_VALUE_VERSION_MISMATCH, SOAP_RELAY, SOAP_ROLE, SOAP_ROLE_NEXT, SOAP_ROLE_NONE, SOAP_ROLE_ULTIMATE_RECEIVER`

    - ### Fields inherited from interface org.apache.axiom.soap.SOAPConstants

      `ATTR_MUSTUNDERSTAND, ATTR_MUSTUNDERSTAND_0, ATTR_MUSTUNDERSTAND_1, ATTR_MUSTUNDERSTAND_FALSE, ATTR_MUSTUNDERSTAND_TRUE, BODY_FAULT_LOCAL_NAME, BODY_LOCAL_NAME, BODY_NAMESPACE_PREFIX, FAULT_CODE_DATA_ENCODING_UNKNOWN, FAULT_CODE_MUST_UNDERSTAND, FAULT_CODE_VERSION_MISMATCH, HEADER_LOCAL_NAME, SOAP_DEFAULT_NAMESPACE_PREFIX, SOAP_FAULT_DETAIL_EXCEPTION_ENTRY, SOAPENVELOPE_LOCAL_NAME, SOAPFAULT_DETAIL_LOCAL_NAME, SOAPFAULT_LOCAL_NAME`

    - ### Fields inherited from interface org.apache.axiom.soap.SOAPVersion

      `SOAP11, SOAP12`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getEncodingURI()` | Obtain the encoding namespace for this version of SOAP
    `String` | `getEnvelopeURI()` | Obtain the envelope namespace for this version of SOAP
    `QName` | `getFaultCodeQName()` | Obtain the QName for the fault code element.
    `QName` | `getFaultDetailQName()` | Obtain the QName for the fault detail element.
    `QName` | `getFaultReasonQName()` | Obtain the QName for the fault reason element.
    `QName` | `getFaultRoleQName()` | Obtain the QName for the fault role/actor element.
    `MediaType` | `getMediaType()` | Obtain the media type for this version of SOAP.
    `QName` | `getMustUnderstandFaultCode()` | Obtain the QName for the MustUnderstand fault code
    `String` | `getNextRoleURI()` | Obtain the "next" role/actor URI
    `QName` | `getReceiverFaultCode()` | Obtain the QName for the Receiver fault code.
    `QName` | `getRoleAttributeQName()` | Obtain the QName for the role attribute (actor/role)
    `QName` | `getSenderFaultCode()` | Obtain the QName for the Sender fault code
    `static SOAP12Version` | `getSingleton()` | Deprecated. Use `SOAPVersion.SOAP12` instead.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSingleton

          public static SOAP12Version getSingleton()

      Deprecated.
      Use `SOAPVersion.SOAP12` instead.

    - #### getEnvelopeURI

          public String getEnvelopeURI()

      Description copied from interface: `SOAPVersion`
      Obtain the envelope namespace for this version of SOAP
      Specified by:
        `getEnvelopeURI` in interface `SOAPVersion`

    - #### getEncodingURI

          public String getEncodingURI()

      Description copied from interface: `SOAPVersion`
      Obtain the encoding namespace for this version of SOAP
      Specified by:
        `getEncodingURI` in interface `SOAPVersion`

    - #### getRoleAttributeQName

          public QName getRoleAttributeQName()

      Description copied from interface: `SOAPVersion`
      Obtain the QName for the role attribute (actor/role)
      Specified by:
        `getRoleAttributeQName` in interface `SOAPVersion`

    - #### getNextRoleURI

          public String getNextRoleURI()

      Description copied from interface: `SOAPVersion`
      Obtain the "next" role/actor URI
      Specified by:
        `getNextRoleURI` in interface `SOAPVersion`

    - #### getMustUnderstandFaultCode

          public QName getMustUnderstandFaultCode()

      Description copied from interface: `SOAPVersion`
      Obtain the QName for the MustUnderstand fault code
      Specified by:
        `getMustUnderstandFaultCode` in interface `SOAPVersion`

    - #### getSenderFaultCode

          public QName getSenderFaultCode()

      Description copied from interface: `SOAPVersion`
      Obtain the QName for the Sender fault code
      Specified by:
        `getSenderFaultCode` in interface `SOAPVersion`
      Returns:
        Sender fault code as a QName

    - #### getReceiverFaultCode

          public QName getReceiverFaultCode()

      Description copied from interface: `SOAPVersion`
      Obtain the QName for the Receiver fault code.
      Specified by:
        `getReceiverFaultCode` in interface `SOAPVersion`
      Returns:
        Receiver fault code as a QName

    - #### getFaultReasonQName

          public QName getFaultReasonQName()

      Description copied from interface: `SOAPVersion`
      Obtain the QName for the fault reason element.
      Specified by:
        `getFaultReasonQName` in interface `SOAPVersion`
      Returns:
        the QName for the fault reason element

    - #### getFaultCodeQName

          public QName getFaultCodeQName()

      Description copied from interface: `SOAPVersion`
      Obtain the QName for the fault code element.
      Specified by:
        `getFaultCodeQName` in interface `SOAPVersion`
      Returns:
        the QName for the fault code element

    - #### getFaultDetailQName

          public QName getFaultDetailQName()

      Description copied from interface: `SOAPVersion`
      Obtain the QName for the fault detail element.
      Specified by:
        `getFaultDetailQName` in interface `SOAPVersion`
      Returns:
        the QName for the fault detail element

    - #### getFaultRoleQName

          public QName getFaultRoleQName()

      Description copied from interface: `SOAPVersion`
      Obtain the QName for the fault role/actor element.
      Specified by:
        `getFaultRoleQName` in interface `SOAPVersion`
      Returns:
        the QName for the fault role/actor element

    - #### getMediaType

          public MediaType getMediaType()

      Description copied from interface: `SOAPVersion`
      Obtain the media type for this version of SOAP.
      Specified by:
        `getMediaType` in interface `SOAPVersion`
      Returns:
        the media type